Blame SOURCES/0340-iscsi-iscsiroot.sh-use-all_ifaces_setup.patch

18971c
From 7cddfbbadbc40a4b6d331be25a3c38ad3a52239b Mon Sep 17 00:00:00 2001
18971c
From: Harald Hoyer <harald@redhat.com>
18971c
Date: Thu, 10 Sep 2015 13:21:53 +0200
18971c
Subject: [PATCH] iscsi/iscsiroot.sh: use all_ifaces_setup()
18971c
18971c
we want the route and gateway setup
18971c
---
18971c
 modules.d/95iscsi/iscsiroot.sh | 6 +++---
18971c
 1 file changed, 3 insertions(+), 3 deletions(-)
18971c
18971c
diff --git a/modules.d/95iscsi/iscsiroot.sh b/modules.d/95iscsi/iscsiroot.sh
18971c
index 7688b282..424d2166 100755
18971c
--- a/modules.d/95iscsi/iscsiroot.sh
18971c
+++ b/modules.d/95iscsi/iscsiroot.sh
18971c
@@ -108,7 +108,7 @@ handle_netroot()
18971c
     parse_iscsi_root "$1" || return 1
18971c
 
18971c
     # Bail out early, if there is no route to the destination
18971c
-    if is_ip "$iscsi_target_ip" && [ "$netif" != "timeout" ] && ! all_ifaces_up && getargbool 1 rd.iscsi.testroute; then
18971c
+    if is_ip "$iscsi_target_ip" && [ "$netif" != "timeout" ] && ! all_ifaces_setup && getargbool 1 rd.iscsi.testroute; then
18971c
         ip route get "$iscsi_target_ip" >/dev/null 2>&1 || return 0
18971c
     fi
18971c
 
18971c
@@ -227,10 +227,10 @@ handle_netroot()
18971c
 ret=0
18971c
 
18971c
 if [ "$netif" != "timeout" ] && getargbool 1 rd.iscsi.waitnet; then
18971c
-    all_ifaces_up || exit 0
18971c
+    all_ifaces_setup || exit 0
18971c
 fi
18971c
 
18971c
-if [ "$netif" = "timeout" ] && all_ifaces_up; then
18971c
+if [ "$netif" = "timeout" ] && all_ifaces_setup; then
18971c
     # s.th. went wrong and the timeout script hits
18971c
     # restart
18971c
     systemctl restart iscsid